# BoardingPassDocumentFieldType enum

Boarding pass document field type

Inheritance
  - Object
  - Enum
  - BoardingPassDocumentFieldType

## Constructors

BoardingPassDocumentFieldType()
  const

## Values

OperatingCarrierPNRCode → const BoardingPassDocumentFieldType
DepartureAirportCode → const BoardingPassDocumentFieldType
DestinationAirportCode → const BoardingPassDocumentFieldType
OperatingCarrierDesignator → const BoardingPassDocumentFieldType
FlightNumber → const BoardingPassDocumentFieldType
DateOfFlightJulian → const BoardingPassDocumentFieldType
CompartmentCode → const BoardingPassDocumentFieldType
SeatNumber → const BoardingPassDocumentFieldType
CheckInSequenceNumber → const BoardingPassDocumentFieldType
PassengerStatus → const BoardingPassDocumentFieldType
VersionNumber → const BoardingPassDocumentFieldType
PassengerDescription → const BoardingPassDocumentFieldType
SourceOfCheckIn → const BoardingPassDocumentFieldType
SourceOfBoardingPassIssuance → const BoardingPassDocumentFieldType
DateOfBoardingPassIssuanceJulian → const BoardingPassDocumentFieldType
DocumentType → const BoardingPassDocumentFieldType
AirlineDesignatorOfBoardingPassIssuer → const BoardingPassDocumentFieldType
BaggageTagLicensePlateNumbers → const BoardingPassDocumentFieldType
FirstNonConsecutiveBaggageTagLicensePlateNumber → const BoardingPassDocumentFieldType
SecondNonConsecutiveBaggageTagLicensePlateNumber → const BoardingPassDocumentFieldType
AirlineNumericCode → const BoardingPassDocumentFieldType
DocumentFormSerialNumber → const BoardingPassDocumentFieldType
SelecteeIndicator → const BoardingPassDocumentFieldType
InternationalDocumentationVerification → const BoardingPassDocumentFieldType
MarketingCarrierDesignator → const BoardingPassDocumentFieldType
FrequentFlyerAirlineDesignator → const BoardingPassDocumentFieldType
FrequentFlyerNumber → const BoardingPassDocumentFieldType
IDADIndicator → const BoardingPassDocumentFieldType
FreeBaggageAllowance → const BoardingPassDocumentFieldType
FastTrack → const BoardingPassDocumentFieldType
ForIndividualAirlineUse → const BoardingPassDocumentFieldType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BoardingPassDocumentFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[OperatingCarrierPNRCode, DepartureAirportCode, DestinationAirportCode, OperatingCarrierDesignator, FlightNumber, DateOfFlightJulian, CompartmentCode, SeatNumber, CheckInSequenceNumber, PassengerStatu…`